<template>
  <component :is="earComponent" v-if="earComponent" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'

import Smile from './Smile.vue'
import Smirk from './Smirk.vue'
import Laugh from './Laugh.vue'
import Pucker from './Pucker.vue'
import Nervous from './Nervous.vue'
import Surprised from './Surprised.vue'

import { MouthType } from '@/api'

const props = defineProps<{
  type: MouthType
}>()

const earComponent = computed<typeof Smile | null>(() => {
  switch (props.type) {
    case 'nervous':
      return Nervous
    case 'smirk':
      return Smirk
    case 'laugh':
      return Laugh
    case 'pucker':
      return Pucker
    case 'surprised':
      return Surprised
    case 'smile':
    default:
      return Smile
  }
})
</script>
